{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Liste des promotions
{% endblock %}




{% block header %}
{% include  "sub_templates/header.html" %}
{% endblock %}



{% block main %}
<h1 class="text-2xl font-semibold text-center mb-10">Liste des promotions</h1>

<div class="flex gap-5 w-full h-12 mb-10">
    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm">Recherche</label>
        <input id="search" oninput="refresh()" type="text" required placeholder="Effectuez votre recherche ici..."
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 w-64">
    </div>



    <div class="flex flex-col ml-auto">
        <label class="font-medium mb-2 text-gray-900 text-sm">Trier par</label>
        <div id="orders" class="flex whitespace-nowrap gap-2">
            <button onclick="order(this)" value="1"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Nom
                de la promotion</button>
            <button onclick="order(this)" value="2"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Nombre
                total d'étudiants</button>
            <button onclick="order(this)" value="3"
                class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">Nombre
                de validations (décroissant)</button>
        </div>
    </div>
</div>


<table class="w-full rounded-lg overflow-hidden border border-collapse">
    <tbody>
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nom de la promotion</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nom du responsable</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre total d'étudiants
            </th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre des apprentissages
            </th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre des initiales</th>
            <th class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden">Nombre des validations</th>
        </tr>

        {% for promo in promos %}
        <tr class="bg-gray-50 text-gray-900 text-sm">
            <td name="1" class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('promo', id = promo.id) }}"
                    class="text-[var(--blue)] underline">{{ promo.name }}</a>
            </td>
            <td class="px-2.5 py-2 overflow-hidden">
                <a href="{{ url_for('user_profil', id = get_promo_manager_by_id(promo.id).id) }}"
                    class="text-[var(--blue)] underline">{{ get_promo_manager_by_id(promo.id).first_name }}
                    {{ get_promo_manager_by_id(promo.id).last_name }}</a>
            </td>
            <td name="2" class="px-2.5 py-2 overflow-hidden">{{ get_nb_user_by_promo(promo.id) }}</td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[1][1] }}</td>
            <td class="px-2.5 py-2 overflow-hidden">{{ get_status_studenats_by_promo(promo.id)[1][0] }}</td>
            <td name="3" class="px-2.5 py-2 overflow-hidden">{{ promo.nb_validation }} /
                {{ get_nb_user_by_promo(promo.id) }}
            </td>
        </tr>
        {% endfor %}

    </tbody>
</table>
{% endblock %}

{% block footer %}
{% include  "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}